Summary:	System load plugin for the Xfce panel
Name:		xfce4-systemload-plugin
Version:	0.4.2
Release:	%mkrel 6
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-systemload-plugin
Source0:	http://goodies.xfce.org/releases/xfce4-systemload-plugin/%{name}-%{version}.tar.bz2
Patch0:		01_fix-bar-colors.patch
Patch1:		02_fix-wrong-free-memory-value.patch
Patch2:		%{name}-0.4.2-remove-extraneous-spacing.patch
Patch3:		%{name}-0.4.2-fix-uptime-polish-translation.patch
Requires:	xfce4-panel >= 4.4.2
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	perl(XML::Parser)
Obsoletes:	xfce-systemload-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A system load panel plugin for the Xfce Desktop Environment.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*


%changelog
* Sat Aug 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.2-6mdv2009.0
+ Revision: 269794
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-5mdv2009.0
+ Revision: 194752
- Patch2: remove not needed spacing
- Patch3: fix polish translation

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-4mdv2009.0
+ Revision: 194660
- Patch0: fix wrong bar colors on some gtk themes
- Patch1: fix wrong free memory value

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-3mdv2008.1
+ Revision: 110139
- correct buildrequires
- do not package COPYING file
- use upstream tarball name as a real name
- use upstream name

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-2mdv2008.0
+ Revision: 30479
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-1mdv2008.0
+ Revision: 30256
- new version

